@import '../../shared/css/variables.css';
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700&display=swap');

* {
    box-sizing: border-box;
    min-width: 0;
    margin: 0;
    padding: 0;
    border: 0;
    font-family: 'Montserrat', sans-serif;
}

body {
    min-height: 100dvh;
    width: 100%;
    max-width: 100%;
    overflow-x: hidden;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    text-wrap: balance;
}

p {
    text-wrap: pretty;
}

a {
    text-decoration: none;
}

button {
    cursor: pointer;
}

ul,
ol {
    list-style: none;
}

/* Eliminar flechas en Chrome, Safari, Edge */
input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Eliminar flechas en Firefox */
input[type="number"] {
    -moz-appearance: textfield;
}

input {
    outline: none;
}


input:disabled {
    background: var(--color-gray-light) !important;
    border: 1px solid #000 !important;
    color: #000 !important;
    outline: none !important;
    font-size: 16px !important;
    user-select: none !important;
    cursor: no-drop;
}

/*Message*/

.message {
    position: fixed;
    top: 70px;
    right: -400px;
    background-color: #f0f0f0;
    max-width: 390px;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    transition: right 0.5s ease-in-out;
    z-index: 1000;
}

.message.success {
    border-left: 10px solid green;
}

.message.error {
    border-left: 10px solid red;
}

.message-offline {
    position: fixed;
    top: 70px;
    right: -400px;
    background-color: #f0f0f0;
    max-width: 390px;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    transition: right 0.5s ease-in-out;
    z-index: 1000;
}

.message-offline.success-offline {
    border-left: 10px solid green;
}

.message-offline.error-offline {
    border-left: 10px solid red;
}

/* Spinner de carga */

.spinner {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.spinner i {
    border: 4px solid rgba(0, 0, 0, 0.1);
    border-left-color: #000;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 1s linear infinite;
}

#miHeader {
    position: fixed;
    /* Fija el header en la parte superior */
    top: 0;
    /* Lo alinea en la parte superior */
    left: 0;
    width: 100%;
    z-index: 1000;
    /* Asegura que esté por encima de otros elementos */

    /* Estado inicial: transparente y fuera de la pantalla (arriba) */
    opacity: 0;
    transform: translateY(-100%);
    /* Mueve el header completamente hacia arriba */

    /* Transición suave para la opacidad y la transformación */
    transition: opacity 0.5s ease-in-out, transform 0.5s ease-in-out;
}

#miHeader.header-visible {
    opacity: 1;
    transform: translateY(0);
}

.nav-header {
    padding: 1rem 2rem;
    display: grid;
    grid-template-columns: 1fr 3fr 1fr;
    width: 100%;
    justify-content: center;
    align-content: center;
    background-color: rgba(0, 0, 0, 0.7);

    h2 {
        color: var(--color-white);
        font-size: 2rem;
        text-align: center;
    }

    .login {
        position: relative;
        display: flex;
        justify-content: end;
        align-items: center;

        .login-items {
            cursor: pointer;

            i {
                color: var(--color-white);
            }

            .login-text {
                opacity: 0;
                visibility: hidden;
                position: absolute;
                top: 0;
                padding-top: 3.4rem;
                right: -40px;
                transition: opacity .3s ease, visibility .3s ease;

                .login-actions {

                    padding: 1rem;
                    background-color: rgba(0, 0, 0, 0.7);
                    display: flex;
                    flex-direction: column;
                    gap: .5rem;

                    a,
                    span {
                        color: var(--color-white);
                        font-size: 1rem;
                        font-weight: 900;
                        text-decoration: none;
                    }
                }
            }
        }

        .login-items:hover .login-text {

            opacity: 1;
            visibility: visible;
            /* La transición es mejor colocarla en el estado base, ver más abajo */
        }

    }


}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}


@media (max-width: 650px) {

    .nav-header {
        h2 {
            font-size: 1.5rem;
        }

        .login {
            & .login-items {
                .login-text {
                    padding-top: 2.6rem;

                    .login-actions {

                        a,
                        span {
                            font-size: .8rem;
                        }
                    }
                }
            }
        }
    }

}

@media (max-width: 490px) {

    .nav-header {
        h2 {
            font-size: 1.2rem;
        }

        .login {
            & .login-items {
                .login-text {
                    width: 120px;
                    padding-top: 2.3rem;

                    .login-actions {

                        a,
                        span {
                            font-size: .7rem;
                        }
                    }
                }
            }
        }
    }

}

@media (max-width: 400px) {
    .nav-header {

        .login {
            & .login-items {
                .login-text {
                    padding-top: 3.6rem;
                }
            }
        }
    }
}